Available Security Group / List Available (Detachable) Security Groups
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/security_group/{vm_id}/detach/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/security_group/{vm_id}/detach/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/security_group/{vm_id}/detach/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/security_group/{vm_id}/detach/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/security_group/{vm_id}/detach/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/security_group/{vm_id}/detach/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Lists the security groups that are attached to the load balancer’s VM and can be detached. The vm_id path parameter is the load balancer’s node_detail.vm_id.
Available Security Group and List Available (Detachable) Security Groups are the same request.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter vm_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used to authenticate the request
Example
<API_KEY>Location identifier for the security group query
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
HTTP status code indicating the result of the request
object
Unique identifier of the security group
Name of the security group
Brief textual description of the security group.
Indicates whether the security group is the default one
Indicates whether the rule applies to all traffic
object
Human-readable status message for the response
Example
{ "code": 200, "data": [ { "id": 12345, "name": "api-automation-sg-7177", "description": "Base Security Group payload for negative testing", "is_default": false, "is_all_traffic_rule": false } ], "message": "Success"}